from sqlalchemy import Column, String, Integer, BigInteger
from sqlalchemy.orm import declarative_base

Base = declarative_base()

class KV(Base):
    __tablename__ = "kv_store"

    key = Column(String, primary_key=True, index=True)
    value = Column(String, nullable=False)
    last_updated = Column(BigInteger, nullable=False, index=True)
