import requests, time

BASE = "http://localhost"

def test_crud():
    k = "ping"
    v = str(time.time())
    r = requests.put(f"{BASE}/kv/{k}", json={"value": v})
    assert r.status_code == 202
    # Wait a bit for consumer
    time.sleep(1)
    r = requests.get(f"{BASE}/kv/{k}")
    assert r.status_code == 200
    assert r.json()["data"]["value"] == v

    r = requests.delete(f"{BASE}/kv/{k}")
    assert r.status_code == 202
    time.sleep(1)
    r = requests.get(f"{BASE}/kv/{k}")
    assert r.status_code == 404
