#!/usr/bin/env bash
set -euo pipefail

echo "📦 Pulling base images..."
docker compose pull

echo "🔨 Building local images..."
docker compose build

echo "🚀 Starting stack..."
docker compose up -d

echo "✅ Cluster is starting. Run 'docker compose logs -f' to follow logs."
